#!/bin/sh

archive="CW_ItCame_PC.zip"

dosbox="${DOSBOX:-/C/Program/DOSBox-0.72}/dosbox"

if [ ! -d "Unpacked" ]; then
    printf 'Unpacking "%s" into "%s".\n' "${archive}" "Unpacked"
    printf '\n'

    unzip "${archive}" -d "Unpacked" || {
	cat <<-!

	ERROR: Unable to unpack file "${archive}" using the command
	       unzip "${archive}" -d "Unpacked"

	Please check that you have unzip(1) installed on your system.
	Alternatively, you can manually unpack "${archive}" into a directory
	called "Unpacked" and then re-run this script.

!

	printf 'Press ENTER to continue... '; read junk
	exit
    }
fi

[ -d "capture"	] || mkdir "capture"
[ -d "C-drive"	] || mkdir "C-drive"

"${dosbox}" -conf "dosbox.conf" -noconsole "$@"
